Skip to main content
POST
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
personas
Create Persona
curl --request POST \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/personas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Customer Service Bot",
  "instructions": "You are a customer service representative...",
  "description": "A friendly customer service representative",
  "creativityLevel": 0.5
}
'
{
  "success": true,
  "message": "Persona created successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "Customer Service Bot",
    "description": "A friendly customer service representative",
    "instructions": "You are a customer service representative...",
    "creativityLevel": 0.7,
    "deletable": false,
    "isActive": false,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

application/json
title
string
required

Title/name of the persona

Maximum string length: 50
Example:

"Customer Service Bot"

instructions
string
required

System instructions for this persona

Example:

"You are a customer service representative..."

description
string | null

Description of the persona's role

Example:

"A friendly customer service representative"

creativityLevel
number<float>
default:0.5

Temperature / creativity level (0 = deterministic, 1 = creative)

Required range: 0 <= x <= 1

Response

Created

success
boolean
Example:

true

message
string
Example:

"Persona created successfully"

data
object